require 'yaml'

module Splot
  module Config
    extend self

    def read_config(config_path)
      return {} unless File.size? String(config_path)
      symbolize_keys YAML.load File.read config_path
    end

    def symbolize_keys(hash)
      hash.keys.each do |k|
        hash[k.to_sym] = hash.delete k if k.is_a?(String)
      end
      hash
    end
  end
end
